classification
Title: bytearrayobject.c: refleak
Type: resource usage Stage: resolved
Components: Interpreter Core Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Suman.Saha, georg.brandl, pitrou, python-dev
Priority: normal Keywords:

Created on 2011-09-20 14:56 by Suman.Saha, last changed 2012-04-01 14:17 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
python_patch7 Suman.Saha, 2011-09-20 14:56 Patch review
Messages (5)
msg144336 - (view) Author: Suman Saha (Suman.Saha) Date: 2011-09-20 14:56
1. Something that is allocated using PyObject_GetIter is not freed on one error path.
2. Something that is allocated using PyByteArray_FromStringAndSize is not freed on one error path
msg144494 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-09-24 08:31
Both hunks look reasonable.
msg157291 - (view) Author: Roundup Robot (python-dev) Date: 2012-04-01 14:14
New changeset 03396c9ffe8c by Antoine Pitrou in branch '3.2':
Issue #13019: Fix potential reference leaks in bytearray.extend().
http://hg.python.org/cpython/rev/03396c9ffe8c

New changeset 015c546615ca by Antoine Pitrou in branch 'default':
Issue #13019: Fix potential reference leaks in bytearray.extend().
http://hg.python.org/cpython/rev/015c546615ca
msg157292 - (view) Author: Roundup Robot (python-dev) Date: 2012-04-01 14:17
New changeset d3a82a26c705 by Antoine Pitrou in branch '2.7':
Issue #13019: Fix potential reference leaks in bytearray.extend().
http://hg.python.org/cpython/rev/d3a82a26c705
msg157293 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-04-01 14:17
Thanks for the patch. Sorry it took so long to be committed...
History
Date User Action Args
2012-04-01 14:17:44pitrousetstatus: open -> closed

versions: + Python 2.7, Python 3.2, Python 3.3
nosy: + pitrou

messages: + msg157293
resolution: fixed
stage: resolved
2012-04-01 14:17:11python-devsetmessages: + msg157292
2012-04-01 14:14:43python-devsetnosy: + python-dev
messages: + msg157291
2011-09-24 08:31:27georg.brandlsetnosy: + georg.brandl
messages: + msg144494
2011-09-21 19:37:20skrahsettitle: bytearrayobject.c: Resource is not released before returning from the functiion -> bytearrayobject.c: refleak
2011-09-21 13:59:39mark.dickinsonsetcomponents: + Interpreter Core
title: Resource is not released before returning from the functiion -> bytearrayobject.c: Resource is not released before returning from the functiion
2011-09-20 14:56:50Suman.Sahacreate